# $Revision: 1.26.2.3 $, $Date: 2007/03/29 20:29:07 $
Summary:	Open Source compatibility plugin for Netscape 4 (NPAPI) plugins
Summary(pl):	Wtyczka Open Source dla kompatybilnoci z wtyczkami Netscape'a 4 (NPAPI)
Name:		nspluginwrapper
Version:	0.9.91.3
Release:	1
License:	GPL v2
Group:		Applications/Multimedia
Source0:	http://gwenole.beauchesne.info/projects/nspluginwrapper/files/%{name}-%{version}.tar.bz2
# Source0-md5:	0e047db84a979237fb28a9e8360890b0
Patch0:		%{name}-plugindirs.patch
URL:		http://gwenole.beauchesne.info/en/projects/nspluginwrapper
# 32bit glibc-devel
BuildRequires:	/usr/include/gnu/stubs-32.h
BuildRequires:	XFree86-devel
BuildRequires:	gtk+2-devel >= 1:2.0
BuildRequires:	libstdc++-devel
BuildRequires:	libstdc++32-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.365
Requires:	browser-plugins >= 2.0
Requires:	linux32
ExclusiveArch:	%{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nspluginwrapper is an Open Source compatibility plugin for Netscape 4
(NPAPI) plugins. That is, it enables you to use plugins on platforms
they were not built for. For example, you can use the Adobe Flash
plugin with x86-64 compiled Mozilla browsers.

%description -l pl
nspluginwrapper to wtyczka Open Source dla kompatybilnoci z wtyczkami
Netscape'a 4 (NPAPI). Pozwala uywa wtyczek na platformach, dla
ktrych nie zostay zbudowane. Na przykad mona uywa wtyczki Adobe
Flash z przegldarkami Mozilla zbudowanymi na architektur x86-64.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--with-biarch
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

# we pretend we're browser for x86 ;)
install -d $RPM_BUILD_ROOT%{_prefix}/lib/%{name}/plugins
%browser_plugins_add_browser %{name} -p %{_prefix}/lib/%{name}/plugins -a i386 -b <<'EOF'
# use 64bit versions

# mplayerplug-in
mplayerplug-in*

# browser-plugin-helixplayer
nphelix.*

# browser-plugin-gplflash
libnpflash.so

# browser-plugin-gpac
nposmozilla.*

# browser-plugin-djvulibre
nsdejavu.so

# java-sun: libjavaplugin_oji.so is not a valid NPAPI plugin
libjavaplugin_oji.so

libcult3dplugin.so
kaffeineplugin.so
npfreewrl.so
EOF

%{__make} install \
	DONT_STRIP=yes \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

# uh.
# first we call update-browser-plugins to make links to our browser dir
# then we call nspluginwrapper -v -[ui] to create npwrapper.*.so plugins
# then we call update-browser-plugins once again to create links to 64bit browser plugins dir

%post
umask 022
%update_browser_plugins
if [ "$1" = 1 ]; then
	%{_bindir}/%{name} -v -a -i
else
	%{_bindir}/%{name} -v -a -u
fi
%update_browser_plugins

%preun
if [ "$1" = 0 ]; then
	rm -f %{_browserpluginsdir}/npwrapper.*.so
	%{_bindir}/%{name} -v -a -r
	%update_browser_plugins
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/nspluginwrapper
%dir %{_prefix}/lib/nspluginwrapper
%dir %{_prefix}/lib/nspluginwrapper/i386
%dir %{_prefix}/lib/nspluginwrapper/i386/linux
%attr(755,root,root) %{_prefix}/lib/nspluginwrapper/i386/linux/libxpcom.so
%attr(755,root,root) %{_prefix}/lib/nspluginwrapper/i386/linux/npviewer
%attr(755,root,root) %{_prefix}/lib/nspluginwrapper/i386/linux/npviewer.bin
%dir %{_prefix}/lib/nspluginwrapper/noarch
%attr(755,root,root) %{_prefix}/lib/nspluginwrapper/noarch/mkruntime
%attr(755,root,root) %{_prefix}/lib/nspluginwrapper/noarch/npviewer
%dir %{_prefix}/lib/nspluginwrapper/x86_64
%dir %{_prefix}/lib/nspluginwrapper/x86_64/linux
%attr(755,root,root) %{_prefix}/lib/nspluginwrapper/x86_64/linux/npconfig
%attr(755,root,root) %{_prefix}/lib/nspluginwrapper/x86_64/linux/npwrapper.so

# you should put plugins here you want to be automatically used in 64bit browsers
%dir %{_prefix}/lib/%{name}/plugins
%{_browserpluginsconfdir}/browsers.d/%{name}.*
%config(noreplace) %verify(not md5 mtime size) %{_browserpluginsconfdir}/blacklist.d/%{name}.*.blacklist

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nspluginwrapper.spec,v $
Revision 1.26.2.3  2007/03/29 20:29:07  glen
- 0.9.91.3

Revision 1.26.2.2  2007/03/07 22:20:34  glen
- AC deps

Revision 1.26.2.1  2007/03/07 21:54:04  glen
- rel 2, works very well for me

Revision 1.26  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.24  2007/02/05 21:28:08  glen
- still exclude java-sun plugin

Revision 1.23  2007/01/27 12:41:53  pascalek
- BR: libstdc++-devel, xorg-lib-libXt-devel

Revision 1.22  2007/01/12 10:32:38  qboosh
- BR: pkgconfig
- use umask 022

Revision 1.21  2007/01/10 21:00:08  glen
- more excludes for plugins which have amd64 version available

Revision 1.20  2007/01/10 14:24:56  glen
- duh, no 64bit java plugin out there. thx blues

Revision 1.19  2007/01/10 14:19:57  glen
- updated exclude list

Revision 1.18  2007/01/10 13:43:39  glen
- need 32bit glibc-devel
- more excludes which have 64bit plugins

Revision 1.17  2007/01/10 02:09:29  glen
- must call twice update-browser-plugins

Revision 1.16  2007/01/10 02:04:58  glen
- use fixed macros

Revision 1.15  2007/01/10 02:02:27  glen
- exclude plugins which have 64bit version

Revision 1.14  2007/01/10 01:58:09  glen
- works for me; rel 1

Revision 1.13  2007/01/10 01:56:06  glen
- create separate dir for plugins

Revision 1.12  2007/01/10 01:07:47  glen
- reset umask for nspluginwrapper prog

Revision 1.11  2007/01/10 00:39:16  glen
- patch plugin dirs

Revision 1.10  2007/01/10 00:30:30  glen
- missing dir

Revision 1.9  2007/01/10 00:24:12  glen
- package nspluginwrapper symlink

Revision 1.8  2007/01/10 00:22:41  glen
- add %post and browser-plugins v2

Revision 1.7  2007/01/10 00:17:58  glen
- add %doc

Revision 1.6  2007/01/10 00:14:54  glen
- wrapper needs linux32 executable
- add exclusivearch

Revision 1.5  2007/01/10 00:04:34  glen
- finished files
- needs 32bit libsupc++.a

Revision 1.4  2007/01/09 23:55:08  glen
- 0.9.91.2
- supposedly works with flash according to
  http://blogs.adobe.com/penguin.swf/2006/10/whats_so_difficult_64bit_editi.html#comment-53310

Revision 1.3  2006/11/06 19:16:23  qboosh
- pl

Revision 1.2  2006/10/19 21:11:29  glen
- don't strip on install (rpm does that)
- adapter, todo update

Revision 1.1  2006/10/19 20:03:16  blues
- initial - allow to run plugins built for another architecture
  (i.e. flash). Needs some discussion about packaging and browser-plugins
  deps.
